1

This is my geoserver http://webservice.dftrans.df.gov.br:8080/geoserver/web/. It is active. You can get data using wfs services.

Up to 3 weeks ago I could use QGIS and add wfs layers from my geoserver (http://webservice.dftrans.df.gov.br:8080/geoserver/web/). Now, I can't get layers from it.

I connect to WFS server, I can see the layers, but when I try to load a layer, after timeout, I read this WFS message in my QGIS display:

Network panel:

WARNING    Network request http://webservice.dftrans.df.gov.br:8080/geoserver/wfs?SERVICE=WFS&REQUEST=DescribeFeatureType&VERSION=2.0.0&TYPENAMES=DFTrans:Camada_de_Pontos_de_Rede&TYPENAME=DFTrans:Camada_de_Pontos_de_Rede timed out

WFS panel:

2021-03-03T15:29:53     WARNING    DescribeFeatureType network request failed for url pagingEnabled='true' preferCoordinatesForWfsT11='false' restrictToRequestBBOX='1' srsname='EPSG:31983' typename='DFTrans:Camada_de_Pontos_de_Rede' url='http://webservice.dftrans.df.gov.br:8080/geoserver/wfs' url='http://webservice.dftrans.df.gov.br:8080/geoserver/wfs?request=GetCapabilities' version='auto': Download of feature type failed: Operation canceled
2021-03-03T15:29:53     WARNING    Download of feature type failed: Operation canceled

Messages panel:

2021-03-03T15:29:53     CRITICAL    Layer is not valid : The layer pagingEnabled='true' preferCoordinatesForWfsT11='false' restrictToRequestBBOX='1' srsname='EPSG:31983' typename='DFTrans:Camada_de_Pontos_de_Rede' url='http://webservice.dftrans.df.gov.br:8080/geoserver/wfs' url='http://webservice.dftrans.df.gov.br:8080/geoserver/wfs?request=GetCapabilities' version='auto' is not a valid layer and can not be added to the map.

Reason:

At geoserver log file, 'wraper', I can read:

INFO   | jvm 1    | 2021/03/03 15:29:04 | 03 Mar 15:29:04 INFO [geoserver.wfs] - 
INFO   | jvm 1    | 2021/03/03 15:29:04 | Request: getServiceInfo
INFO   | jvm 1    | 2021/03/03 15:29:04 | 03 Mar 15:29:04 INFO [geoserver.wfs] - 
INFO   | jvm 1    | 2021/03/03 15:29:04 | Request: getCapabilities
INFO   | jvm 1    | 2021/03/03 15:29:04 |     acceptVersions:
INFO   | jvm 1    | 2021/03/03 15:29:04 |         version[0] = 2.0.0version[0] = 1.1.0version[0] = 1.0.0
INFO   | jvm 1    | 2021/03/03 15:29:04 |     baseUrl = http://webservice.dftrans.df.gov.br:8080/geoserver/
INFO   | jvm 1    | 2021/03/03 15:29:04 |     service = WFS
INFO   | jvm 1    | 2021/03/03 15:29:16 | 03 Mar 15:29:15 INFO [geoserver.wfs] - 
INFO   | jvm 1    | 2021/03/03 15:29:16 | Request: getServiceInfo
INFO   | jvm 1    | 2021/03/03 15:29:16 | 03 Mar 15:29:15 INFO [geoserver.wfs] - 
INFO   | jvm 1    | 2021/03/03 15:29:16 | Request: describeFeatureType
INFO   | jvm 1    | 2021/03/03 15:29:16 |     service = WFS
INFO   | jvm 1    | 2021/03/03 15:29:16 |     version = 2.0.0
INFO   | jvm 1    | 2021/03/03 15:29:16 |     baseUrl = http://webservice.dftrans.df.gov.br:8080/geoserver/
INFO   | jvm 1    | 2021/03/03 15:29:16 |     typeName[0] = {10.233.30.62/Geo_Data_DFTrans}Camada_de_Pontos_de_Rede
INFO   | jvm 1    | 2021/03/03 15:29:16 |     outputFormat = text/xml; subtype=gml/3.2

What I must do?

5
  • 1
    This isn't a QGIS issue, the request is timing out, the issue lies on the server.
    – nmtoken
    Mar 3, 2021 at 19:01
  • What did you change on the server?
    – Ian Turton
    Mar 3, 2021 at 20:06
  • At Geoserver I changed Service level, from 'complete' to 'basic' Mar 4, 2021 at 20:08
  • I'm checking at QGIS because I can get features from Geoserver, but not from QGIS. Mar 4, 2021 at 20:09
  • Hi! 1) "This isn't a QGIS issue, the request is timing out, the issue lies on the server." I can get features from my geoserver, but not from QGIS. Them I ask here.But thanks. I will ask at Geoserver forum too. 2) "What did you change on the server?" I changed "Service Level" at Geoserver. It was 'complete', and I changed to 'basic' Mar 4, 2021 at 20:23

2 Answers 2

2

Your GetCapabilities response is broken:

error on line 6119 at column 56: Unescaped '<' not allowed in attributes values

Looking at the response it seems that you do not have a generic.sld for layer opc_postos_sba - so there seems to have been some corruption of your data directory. This can be fixed by going to that layer and changing it's style to one of point, line or polygon, or by restoring the generic.sld file from your backup.

You should probably also upgrade as 2.8 is a very old version of GeoServer (now working on 2.19).

2
  • Hi! where I can see the 'Your GetCapabilities response is broken"? I used "webservice.dftrans.df.gov.br:8080/geoserver/…" and the response looks ok. Here is the 'opc_postos_sba' block. <FeatureType xmlns:DFTrans="10.233.30.62/Geo_Data_DFTrans"> <Name>DFTrans:opc_postos_sba</Name> <Title>opc_postos_sba</Title> <Abstract/> <ows:Keywords> <ows:Keyword>features</ows:Keyword> <ows:Keyword>opc_postos_sba</ows:Keyword> </ows:Keywords> <DefaultSRS>EPSG:31983</DefaultSRS> <ows:WGS84BoundingBox> <ows:LowerCorner>-... Mar 4, 2021 at 20:17
  • Actually, I was looking at your WMS capabilities so that might not be the exact problem with your WFS but probably indicates the layer to investigate
    – Ian Turton
    Mar 5, 2021 at 9:43
0

Without specifically addressing your problem, often when having issues with a particular layer in Geoserver, recreating/republishing the layer from scratch (ie: Start again) often resolved any issues I have had in the past.

1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.